﻿using System;
using System.ServiceProcess;

namespace TestService
{
    /// <summary>
    /// 프로그램
    /// </summary>
    static class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main(argumentArray)

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        /// <param name="argumentArray">인자 배열</param>
        private static void Main(string[] argumentArray)
        {
            if(Environment.UserInteractive)
            {
                ProjectService service = new ProjectService();

                service.Test(argumentArray);
            }
            else
            {
                ServiceBase[] serviceBaseArray;

                serviceBaseArray = new ServiceBase[] { new ProjectService() };

                ServiceBase.Run(serviceBaseArray);
            }
        }

        #endregion
    }
}